* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: #000;
}

body {
  font-family: "Roboto", sans-serif;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
}

.app--loading {
  background: #000;
  background-size: 100% 100%;
  background-position: center bottom;
  height: 100vh;
  width: 430px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.content--loading {
  width: 100%;
  text-align: center;
}

/* ===== Loading bar ===== */
.loading-bar {
  position: relative;
  height: 6px;
  width: 100%;
  background: #545454;
  border-radius: 10px;
  overflow: hidden;
  margin: 10% 0 5%;
}

/* Thanh chạy */
.loading-bar::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 0;
  background: #00ba00;
  border-radius: 10px;
  animation: loadingProgress 2s linear forwards;
}

@keyframes loadingProgress {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

.title--loading {
  width: 60%;
}

.done--loading {
  display: none; /* MẤT LUÔN */
  width: 90%;
  margin: 0 auto;
}

.done--loading.show {
  display: block;
  animation: fadeUp 0.6s ease forwards;
}

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.content--loading {
  background: url(images/bg-content.webp);
  background-size: 100% 100%;
  background-position: center center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  padding: 10% 5%;
  width: 95%;
}

@keyframes scaleAnimation {
  0%,
  100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
}

@media screen and (max-width: 768px) {
  .content--loading {
    background: url(images/bg-content.webp);
    background-size: 100% 100%;
    background-position: center center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 5%;
    width: 90%;
  }
}
